//////////////////////////////////////////////////////////////////////
//                                                                  //
// AddressSpace.pas: Common constants and types.                    //
//   This contains register addresses, types, and masks common to   //
//   both the Mappy VM core and the Mappy VM user interface.        //
//                                                                  //
// The contents of this file are subject to the Bottled Light       //
// Public License Version 1.0 (the "License"); you may not use this //
// file except in compliance with the License. You may obtain a     //
// copy of the License at http://www.bottledlight.com/BLPL/         //
//                                                                  //
// Software distributed under the License is distributed on an      //
// "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or   //
// implied. See the License for the specific language governing     //
// rights and limitations under the License.                        //
//                                                                  //
// The Original Code is the Mappy VM User Interface, released       //
// April 1st, 2003. The Initial Developer of the Original Code is   //
// Bottled Light, Inc. Portions created by Bottled Light, Inc. are  //
// Copyright (C) 2001-2003 Bottled Light, Inc. All Rights Reserved. //
//                                                                  //
// Author(s):                                                       //
//   Michael Noland (joat), michael@bottledlight.com                //
//                                                                  //
// Changelog:                                                       //
//   1.0: First public release (April 1st, 2003)                    //
//                                                                  //
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
program jdev; ////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////

uses
  Forms,
  Windows,
  SysUtils,
  console in 'console.pas',
  CpuObservers in 'CpuObservers.pas',
  platformSound in 'platformSound.pas',
  jdev_main in 'jdev_main.pas' {jdevMain},
  jdevSplashScreen in 'jdevSplashScreen.pas' {jdevSplash},
  jdevAboutBox in 'jdevAboutBox.pas' {jdevAbout},
  observerIORegs in 'observerIORegs.pas' {jdevIORegs},
  observerPalette in 'observerPalette.pas' {jdevPalette},
  observerLog in 'observerLog.pas' {jdevLog},
  observerSprites in 'observerSprites.pas' {jdevSprites},
  observerDisassembler in 'observerDisassembler.pas' {jdevDisassembler},
  observerROMInfo in 'observerROMInfo.pas' {jdevROMInfo},
  observerHexEditor in 'observerHexEditor.pas' {jdevHexEditor},
  platformVideo in 'platformVideo.pas',
  observerCSource in 'observerCSource.pas' {jdevSourceViewer},
  elfUtils in 'elfUtils.pas',
  dwarfUtils in 'dwarfUtils.pas',
  jdevEvalModify in 'jdevEvalModify.pas' {jdevModify},
  observerVRAM in 'observerVRAM.pas' {jdevVRAMViewer},
  jdevDisassemblyDialog in 'jdevDisassemblyDialog.pas' {jdevDisasmDialog},
  jdevDwarfDebugger in 'jdevDwarfDebugger.pas' {jdevDwarfDebug},
  observerSound in 'observerSound.pas' {jdevSoundViewer},
  jdevCapture in 'jdevCapture.pas' {jdevCaptureForm},
  arm_disass in 'arm_disass.pas',
  nexus in 'nexus.pas',
  AddressSpace in 'AddressSpace.pas',
  observerBreakpointList in 'observerBreakpointList.pas' {dbgBreakpointList},
  debugWatchProperties in 'debugWatchProperties.pas' {dbgWatchProperties},
  observerWatchList in 'observerWatchList.pas' {dbgWatchList},
  debugBreakpointProperties in 'debugBreakpointProperties.pas' {dbgBreakpointProperties},
  dbgBreakpoints in 'dbgBreakpoints.pas',
  tools in 'tools.pas',
  VideoOptions in 'VideoOptions.pas' {VideoOptionsDialog},
  AudioOptions in 'AudioOptions.pas' {AudioOptionsDialog},
  sysAviWriter in 'sysAviWriter.pas',
  DebugOptions in 'DebugOptions.pas' {DebugOptionsDialog},
  JoypadOptions in 'JoypadOptions.pas' {JoypadOptionsDialog},
  dbgWatches in 'dbgWatches.pas',
  dbgExpressions in 'dbgExpressions.pas',
  debugFindPattern in 'debugFindPattern.pas' {dbgFindPattern},
  GeneralOptions in 'GeneralOptions.pas' {GeneralOptionsDialog},
  platformNetworking in 'platformNetworking.pas';

//////////////////////////////////////////////////////////////////////

{$R *.RES}

//////////////////////////////////////////////////////////////////////

begin
  Application.Initialize;
  Application.Title := 'Mappy Virtual Machine';
  Application.CreateForm(TjdevMain, jdevMain);
  Application.CreateForm(TjdevModify, jdevModify);
  Application.CreateForm(TjdevDisasmDialog, jdevDisasmDialog);
  Application.CreateForm(TjdevDwarfDebug, jdevDwarfDebug);
  Application.CreateForm(TdbgFindPattern, dbgFindPattern);
  Application.CreateForm(TjdevSplash, jdevSplash);
  Application.CreateForm(TjdevAbout, jdevAbout);
  Application.Run;
end.

//////////////////////////////////////////////////////////////////////
