reg=DISP_CR
alt=DISPCNT
help=sdk/video.html#reg00
addr=$000
mode=R/W
name=Display Control Register
0:Video Mode (3 bits)
3:CGB Mode%
4:Frame Buffer Selection
5:HBlank OAM Access OK
6:Use 1D Mapping
7:Forced Blank
8:Background 0 enabled
9:Background 1 enabled
10:Background 2 enabled
11:Background 3 enabled
12:Sprites enabled
13:Window 0 enabled
14:Window 1 enabled
15:Sprite windows enabled

reg=DISP_SR
alt=DISPSTAT
help=sdk/video.html#reg04
addr=$004
name=Display Status Register
mode=R/W
0:In VBlank%
1:In HBlank%
2:Y Triggered%
3:Enable VBlank IRQ
4:Enable HBlank IRQ
5:Enable Y trigger IRQ
8:Y line trigger (8 bits)

reg=DISP_Y
alt=VCOUNT
help=sdk/video.html#reg06
addr=$006
mode=R
name=Current Scanline
0:Current scanline (8 bits)

reg=BG0_CR
alt=BG0CNT
help=sdk/video.html#reg08
mode=R/W
addr=$008
name=BG0 Control Register
0:Priority (2 bits)
2:Character base block (2 bits)
4:0
5:0
6:Mosiac enabled
7:Single palette
8:Screen base block (5 bits)
14:Screen size (2 bits)

reg=BG1_CR
alt=BG1CNT
help=sdk/video.html#reg0A
mode=R/W
addr=$00A
name=BG1 Control Register
0:Priority (2 bits)
2:Character base block (2 bits)
4:0
5:0
6:Mosiac enabled
7:Single palette
8:Screen base block (5 bits)
14:Screen size (2 bits)

reg=BG2_CR
alt=BG2CNT
help=sdk/video.html#reg0C
mode=R/W
addr=$00C
name=BG2 Control Register
0:Priority (2 bits)
2:Character base block (2 bits)
4:0
5:0
6:Mosiac enabled
7:Single palette
8:Screen base block (5 bits)
13:Overflow Mode (0=Transparent, 1=Wraparound)
14:Screen size (2 bits)

reg=BG3_CR
alt=BG3CNT
help=sdk/video.html#reg0E
addr=$00E
mode=R/W
name=BG3 Control Register
0:Priority (2 bits)
2:Character base block (2 bits)
4:0
5:0
6:Mosiac enabled
7:Single palette
8:Screen base block (5 bits)
13:Overflow Mode (0=Transparent, 1=Wraparound)
14:Screen size (2 bits)

reg=BG0_X
alt=BG0HOFS
help=sdk/video.html#reg10
addr=$010
mode=W
name=BG0 Charmap Horizontal Scroll Offset
0:X Offset (8 bits)

reg=BG0_Y
alt=BG0VOFS
help=sdk/video.html#reg12
addr=$012
mode=W
name=BG0 Charmap Vertical Scroll Offset
0:Y Offset (8 bits)

reg=BG1_X
alt=BG1HOFS
addr=$014
help=sdk/video.html#reg14
mode=W
name=BG1 Charmap Horizontal Scroll Offset
0:X Offset (8 bits)

reg=BG1_Y
alt=BG1VOFS
help=sdk/video.html#reg16
addr=$016
mode=W
name=BG1 Charmap Vertical Scroll Offset
0:Y Offset (8 bits)

reg=BG2_X
alt=BG2HOFS
help=sdk/video.html#reg18
addr=$018
mode=W
name=BG2 Charmap Horizontal Scroll Offset
0:X Offset (8 bits)

reg=BG2_Y
alt=BG2VOFS
help=sdk/video.html#reg1A
addr=$01A
mode=W
name=BG2 Charmap Vertical Scroll Offset
0:Y Offset (8 bits)

reg=BG3_X
alt=BG3HOFS
help=sdk/video.html#reg1C
addr=$01C
mode=W
name=BG3 Charmap Horizontal Scroll Offset
0:X Offset (8 bits)

reg=BG3_Y
alt=BG3VOFS
help=sdk/video.html#reg1E
addr=$01E
mode=W
name=BG3 Charmap Vertical Scroll Offset
0:Y Offset (8 bits)

reg=BG2_DX
alt=BG2PA
help=sdk/video.html#reg20
mode=W
addr=$020
name=BG2 Horizontal texture step in X
0:dx (fraction, 8 bits)
8:dx (integer, 8 bits)

reg=BG2_VDX
alt=BG2PB
help=sdk/video.html#reg22
addr=$022
mode=W
name=BG2 Vertical texture step in X
0:vdx (fraction, 8 bits)
8:vdx (integer, 8 bits)

reg=BG2_DY
alt=BG2PC
help=sdk/video.html#reg24
addr=$024
mode=W
name=BG2 Horizontal texture step in Y
0:dy (fraction, 8 bits)
8:dy (integer, 8 bits)

reg=BG2_VDY
alt=BG2PD
help=sdk/video.html#reg26
addr=$026
mode=W
name=BG2 Vertical texture step in Y
0:vdy (fraction, 8 bits)
8:vdy (integer, 8 bits)

reg=BG2_XL
alt=BG2X_L
help=sdk/video.html#reg28
addr=$028
mode=W
name=BG2 X reference point (LSHW)
0:x (fraction, 8 bits)
8:x (LSB integer, 8 bits)

reg=BG2_XH
alt=BG2X_H
help=sdk/video.html#reg2A
addr=$02A
mode=W
name=BG2 X reference point (MSHW)
0:x (MSB integer, 12 bits)

reg=BG2_YL
alt=BG2Y_L
help=sdk/video.html#reg2C
addr=$02C
mode=W
name=BG2 Y reference point (LSHW)
0:y (fraction, 8 bits)
8:y (LSB integer, 8 bits)

reg=BG2_YH
alt=BG2Y_H
help=sdk/video.html#reg2E
addr=$02E
mode=W
name=BG2 Y reference point (MSHW)
0:y (MSB integer, 12 bits)

reg=BG3_DX
alt=BG3PA
help=sdk/video.html#reg30
addr=$030
mode=W
name=BG3 Horizontal texture step in X
0:dx (fraction, 8 bits)
8:dx (integer, 8 bits)

reg=BG3_VDX
alt=BG3PB
help=sdk/video.html#reg32
addr=$032
mode=W
name=BG3 Vertical texture step in X
0:vdx (fraction, 8 bits)
8:vdx (integer, 8 bits)

reg=BG3_DY
alt=BG3PC
help=sdk/video.html#reg34
addr=$034
mode=W
name=BG3 Horizontal texture step in Y
0:dy (fraction, 8 bits)
8:dy (integer, 8 bits)

reg=BG3_VDY
alt=BG3PD
help=sdk/video.html#reg36
addr=$036
mode=W
name=BG3 Vertical texture step in Y
0:dy (fraction, 8 bits)
8:vdy (integer, 8 bits)

reg=BG3_XL
alt=BG3X_L
help=sdk/video.html#reg38
addr=$038
mode=W
name=BG3 X reference point (LSHW)
0:x (fraction, 8 bits)
8:x (LSB integer, 8 bits)

reg=BG3_XH
alt=BG3X_H
help=sdk/video.html#reg3A
addr=$03A
mode=W
name=BG3 X reference point (MSHW)
0:x (MSB integer, 12 bits)

reg=BG3_YL
alt=BG3Y_L
help=sdk/video.html#reg3C
addr=$03C
mode=W
name=BG3 Y reference point (LSHW)
0:y (fraction, 8 bits)
8:y (LSB integer, 8 bits)

reg=BG3_YH
alt=BG3Y_H
help=sdk/video.html#reg3E
addr=$03E
mode=W
name=BG3 Y reference point (MSHW)
0:y (MSB integer, 12 bits)

reg=WIN0_H
alt=WIN0H
help=sdk/video.html#reg40
addr=$040
mode=W
name=Window 0 X Coords
0:Right (x1, 8 bits)
8:Left (x0, 8 bits)

reg=WIN1_H
alt=WIN1H
help=sdk/video.html#reg42
addr=$042
mode=W
name=Window 1 X Coords
0:Right (x1, 8 bits)
8:Left (x0, 8 bits)

reg=WIN0_V
alt=WIN0V
help=sdk/video.html#reg44
addr=$044
mode=W
name=Window 0 Y Coords
0:Bottom (y1, 8 bits)
8:Top (y0, 8 bits)

reg=WIN1_V
alt=WIN1V
help=sdk/video.html#reg46
addr=$046
mode=W
name=Window 1 Y Coords
0:Bottom (y1, 8 bits)
8:Top (y0, 8 bits)

reg=WIN_IN
alt=WININ
help=sdk/video.html#reg48
addr=$048
mode=R/W
name=Inside Window Settings
0:BG0 in win0
1:BG1 in win0
2:BG2 in win0
3:BG3 in win0
4:Sprites in win0
5:Blends in win0
8:BG0 in win1
9:BG1 in win1
10:BG2 in win1
11:BG3 in win1
12:Sprites in win1
13:Blends in win1

reg=WIN_OUT
alt=WINOUT
help=sdk/video.html#reg4A
addr=$04A
mode=R/W
name=Outside Window and Sprite Window
0:BG0 outside
1:BG1 outside
2:BG2 outside
3:BG3 outside
4:Sprites outside
5:Blends outside
8:BG0 in sprite win
9:BG1 in sprite win
10:BG2 in sprite win
11:BG3 in sprite win
12:Sprites in sprite win
13:Blends in sprite win

reg=MOSAIC
alt=MOSAIC
help=sdk/video.html#reg4C
addr=$4C
name=Mosaic Control
mode=W
0:BG X size (4 bits)
4:BG Y size (4 bits)
8:Sprite X size (4 bits)
12:Sprite Y size (4 bits)

reg=BLEND_CR
alt=BLDCNT
help=sdk/video.html#reg50
addr=$050
name=Blend Control Register
mode=R/W
0:Blend BG0
1:Blend BG1
2:Blend BG2
3:Blend BG3
4:Blend sprites
5:Blend backdrop
6:Blend Mode (2 bits)
8:Blend BG0 in alpha
9:Blend BG1 in alpha
10:Blend BG2 in alpha
11:Blend BG3 in alpha
12:Blend sprites in alpha
13:Blend backdrop in alpha

reg=BLEND_AB
alt=BLDALPHA
help=sdk/video.html#reg52
addr=$052
mode=W
name=Blend Coefficients A and B
0:Coefficient A (5 bits)
8:Coefficient B (5 bits)

reg=BLEND_Y
reg=BLDY
help=sdk/video.html#reg54
addr=$054
name=Blend Coefficient Y
mode=W
0:Coefficient Y (5 bits)

reg=SOUND1CNT_L
help=sdk/sound.html#reg60
addr=$060
name=GBC Sound Channel 1 - Sweep Control
mode=R/W
0:Sweep Shifts (3 bits)
3:Sweep Mode (0=Inc, 1=Dec)
4:Sweep Time (3 bits)

reg=SOUND1CNT_H
help=sdk/sound.html#reg62
addr=$062
name=GBC Sound Channel 1 - Params
mode=R/W
0:Sound Length (6 bits, Write-Only)
6:Wave Duty (2 bits)
8:Number of Envelope Sweeps (3 bits)
11:Envelope Mode (0=Attenuate, 1=Amplify)
12: Initial Volume (4 bits)

reg=SOUND1CNT_X
help=sdk/sound.html#reg64
addr=$064
name=GBC Sound Channel 1 - Params
mode=W (bit 14 is R)
0:Frequency (11 bits)
14:Timed Sound (0=continous, 1=timed)
15:Sound 1 Reset

reg=SOUND2CNT_L
help=sdk/sound.html#reg68
addr=$068
name=GBC Sound Channel 2 - Params
mode=R/W
0:Sound Length (6 bits, Write-Only)
6:Wave Duty (2 bits)
8:Number of Envelope Sweeps (3 bits)
11:Envelope Mode (0=Attenuate, 1=Amplify)
12:Initial Volume (4 bits)

reg=SOUND2CNT_H
help=sdk/sound.html#reg6C
addr=$06C
name=GBC Sound Channel 2 - Params
mode=W (bit 14 is R)
0:Frequency (11 bits)
14:Timed Sound (0=continous, 1=timed)
15:Sound 2 Reset

reg=SOUND3CNT_L
help=sdk/sound.html#reg70
addr=$070
name=GBC Sound Channel 3 - Active
mode=R/W
5:NR30 - ?
6:NR30 -?
7:Sound 3 enable

reg=SOUND3CNT_H
help=sdk/sound.html#reg72
addr=$072
name=GBC Sound Channel 3 - Params
mode=R/W
0:Sound Length (8 bits, Write-Only)
13:Output Level (2 bits)

reg=SOUND3CNT_X
help=sdk/sound.html#reg74
addr=$074
name=GBC Sound Channel 3 - Params (NR33, NR34)
mode=W (bit 14 is R)
0:Frequency (11 bits)
14:Timed Sound (0=continous, 1=timed)
15:Sound 3 Reset

reg=SOUND4CNT_L
help=sdk/sound.html#reg78
addr=$078
name=GBC Sound Channel 4 - Params (NR41, NR42)
mode=R/W
0:Sound Length (8 bits, Write-Only)
8:Number of Envelope Sweeps (3 bits)
11:Envelope Mode (0=Attenuate, 1=Amplify)
12:Initial Volume (4 bits)

reg=SOUND4CNT_H
help=sdk/sound.html#reg7C
addr=$07C
name=GBC Sound Channel 4 - Params (NR43, NR44)
mode=R/W
0:Dividing Ratio (3 bits)
3:Polynomial Steps (0=15 steps, 1=7 steps)
4:Shift Frequency (4 bits)
14:Timed Sound (0=continous, 1=timed)
15:Sound 4 Reset

reg=SOUNDCNT_L
help=sdk/sound.html#reg80
addr=$080
name=Stereo Sound Control (NR50, NR51)
mode=R/W
0:Left Channel Volume (3 bits)
4:Right Channel Volume (3 bits)
8:Sound 1 to left channel
9:Sound 2 to left channel
10:Sound 3 to left channel
11:Sound 4 to left channel
12:Sound 1 to right channel
13:Sound 2 to right channel
14:Sound 3 to right channel
15:Sound 4 to right channel

reg=SOUNDCNT_H
help=sdk/sound.html#reg82
addr=$082
name=Sound Control Register
mode=R/W
0:Sound Ratio 1-4? (2 bits)
2:DSA Output Ratio
3:DSB Output Ratio
8:DSA R Out
9:DSA L Out
10:DSA Timer
11:DSA FIFO Reset
12:DSB R Out
13:DSB L Out
14:DSB Timer
15:DSB FIFO Reset

reg=SOUNDCNT_X
help=sdk/sound.html#reg84
addr=$84
name=Sound I/O NR52
mode=R/W
0:Sound 1 Status%
1:Sound 2 Status%
2:Sound 3 Status%
3:Sound 4 Status%
7:Sound Enabled

reg=SOUNDBIAS
help=sdk/sound.html#reg88
addr=$88
name=Sound Bias Level / PWM frequency
mode=R/W
0:Bias Level (do not change) (10 bits)
10:%
11:%
12:%
13:%
14:PWM frequency (2 bits)

reg=WAVE_RAM0_L
help=sdk/sound.html#reg90
addr=$90
name=GBC Channel 3 Waveform RAM (sample 0..3)
mode=R/W
4:Sample 0 (4 bits)
0:Sample 1 (4 bits)
12:Sample 2 (4 bits)
8:Sample 3 (4 bits)

reg=WAVE_RAM0_H
help=sdk/sound.html#reg92
addr=$92
name=GBC Channel 3 Waveform RAM (sample 4..7)
mode=R/W
4:Sample 4 (4 bits)
0:Sample 5 (4 bits)
12:Sample 6 (4 bits)
8:Sample 7 (4 bits)

reg=WAVE_RAM1_L
help=sdk/sound.html#reg94
addr=$94
name=GBC Channel 3 Waveform RAM (sample 8..11)
mode=R/W
4:Sample 8 (4 bits)
0:Sample 9 (4 bits)
12:Sample 10 (4 bits)
8:Sample 11 (4 bits)

reg=WAVE_RAM1_H
help=sdk/sound.html#reg96
addr=$96
name=GBC Channel 3 Waveform RAM (sample 12..15)
mode=R/W
4:Sample 12 (4 bits)
0:Sample 13 (4 bits)
12:Sample 14 (4 bits)
8:Sample 15 (4 bits)

reg=WAVE_RAM2_L
help=sdk/sound.html#reg98
addr=$98
name=GBC Channel 3 Waveform RAM (sample 16..19)
mode=R/W
4:Sample 16 (4 bits)
0:Sample 17 (4 bits)
12:Sample 18 (4 bits)
8:Sample 19 (4 bits)

reg=WAVE_RAM2_H
help=sdk/sound.html#reg9A
addr=$9A
name=GBC Channel 3 Waveform RAM (sample 20..23)
mode=R/W
4:Sample 20 (4 bits)
0:Sample 21 (4 bits)
12:Sample 22 (4 bits)
8:Sample 23 (4 bits)

reg=WAVE_RAM3_L
help=sdk/sound.html#reg9C
addr=$9C
name=GBC Channel 3 Waveform RAM (sample 24..27)
mode=R/W
4:Sample 24 (4 bits)
0:Sample 25 (4 bits)
12:Sample 26 (4 bits)
8:Sample 27 (4 bits)

reg=WAVE_RAM3_H
help=sdk/sound.html#reg9E
addr=$9E
name=GBC Channel 3 Waveform RAM (sample 28..31)
mode=R/W
4:Sample 28 (4 bits)
0:Sample 29 (4 bits)
12:Sample 30 (4 bits)
8:Sample 31 (4 bits)

reg=FIFOA_L
help=sdk/sound.html#regA0
addr=$0A0
name=DirectSound A FIFO Data (sample 0,1)
mode=W
0:Data 0 (8 bits)
8:Data 1 (8 bits)

reg=FIFOA_H
help=sdk/sound.html#regA2
addr=$0A2
name=DirectSound A FIFO Data (sample 2,3)
mode=W
0:Data 2 (8 bits)
8:Data 3 (8 bits)

reg=FIFOB_L
help=sdk/sound.html#regA4
addr=$0A4
name=DirectSound B FIFO Data (sample 0,1)
mode=W
0:Data 0 (8 bits)
8:Data 1 (8 bits)

reg=FIFOB_H
help=sdk/sound.html#regA6
addr=$0A6
name=DirectSound B FIFO Data (sample 2,3)
mode=W
0:Data 2 (8 bits)
8:Data 3 (8 bits)

reg=DMA0_SRC_L
alt=DMA0SAD_L
help=sdk/dma.html
addr=$0B0
name=DMA Channel 0 Source Address (low)
mode=W
0:Source Address (low 16 bits)

reg=DMA0_SRC_H
alt=DMA0SAD_H
help=sdk/dma.html
addr=$0B2
name=DMA Channel 0 Source Address (high)
mode=W
0:Source Address (high 11 bits)

reg=DMA0_DEST_L
alt=DMA0DAD_L
help=sdk/dma.html
addr=$0B4
name=DMA Channel 0 Dest. Address (low)
mode=W
0:Destination Address (low 16 bits)

reg=DMA0_DEST_H
alt=DMA0DAD_H
help=sdk/dma.html
addr=$0B6
name=DMA Channel 0 Dest. Address (high)
mode=W
0:Destination Address (high 11 bits)

reg=DMA0_SIZE
alt=DMA0CNT_L
help=sdk/dma.html
addr=$0B8
name=DMA Channel 0 Transfer Size
mode=W
0:Transfer Length (14 bits)

reg=DMA0_CR
alt=DMA0CNT_H
help=sdk/dma.html
addr=$0BA
name=DMA Channel 0 Control Register
mode=R/W
5:Dest. Mode (2 bits)
7:Source Mode (2 bits)
9:?
10:Width (0=HW, 1=word)
11:?
12:Start time (2 bits)
14:IRQ
15:Enabled

reg=DMA1_SRC_L
alt=DMA1SAD_L
help=sdk/dma.html
addr=$0BC
name=DMA Channel 1 Source Address (low)
mode=W
0:Source Address (low 16 bits)

reg=DMA1_SRC_H
alt=DMA1SAD_H
help=sdk/dma.html
addr=$0BE
name=DMA Channel 1 Source Address (high)
mode=W
0:Source Address (high 12 bits)

reg=DMA1_DEST_L
alt=DMA1DAD_L
help=sdk/dma.html
addr=$0C0
name=DMA Channel 1 Dest. Address (low)
mode=W
0:Destination Address (low 16 bits)

reg=DMA1_DEST_H
alt=DMA1DAD_H
help=sdk/dma.html
addr=$0C2
name=DMA Channel 1 Dest. Address (high)
mode=W
0:Destination Address (high 11 bits)

reg=DMA1_SIZE
alt=DMA1CNT_L
help=sdk/dma.html
addr=$0C4
name=DMA Channel 1 Transfer Size
mode=W
0:Transfer Length (14 bits)

reg=DMA1_CR
alt=DMA1CNT_H
help=sdk/dma.html
addr=$0C6
name=DMA Channel 1 Control Register
mode=R/W
5:Dest. Mode (2 bits)
7:Source Mode (2 bits)
9:?
10:Width (0=HW, 1=word)
11:?
12:Start time (2 bits)
14:IRQ
15:Enabled

reg=DMA2_SRC_L
alt=DMA2SAD_L
help=sdk/dma.html
addr=$0C8
name=DMA Channel 2 Source Address (low)
mode=W
0:Source Address (low 16 bits)

reg=DMA2_SRC_H
alt=DMA2SAD_H
help=sdk/dma.html
addr=$0CA
name=DMA Channel 2 Source Address (high)
mode=W
0:Source Address (high 12 bits)

reg=DMA2_DEST_L
alt=DMA2DAD_L
help=sdk/dma.html
addr=$0CC
name=DMA Channel 2 Dest. Address (low)
mode=W
0:Destination Address (low 16 bits)

reg=DMA2_DEST_H
alt=DMA2DAD_H
help=sdk/dma.html
addr=$0CE
name=DMA Channel 2 Dest. Address (high)
mode=W
0:Destination Address (high 11 bits)

reg=DMA2_SIZE
alt=DMA2CNT_L
help=sdk/dma.html
addr=$0D0
name=DMA Channel 2 Transfer Size
mode=W
0:Transfer Length (14 bits)

reg=DMA2_CR
alt=DMA2CNT_H
help=sdk/dma.html
addr=$0D2
name=DMA Channel 2 Control Register
mode=R/W
5:Dest. Mode (2 bits)
7:Source Mode (2 bits)
9:?
10:Width (0=HW, 1=word)
11:?
12:Start time (2 bits)
14:IRQ
15:Enabled

reg=DMA3_SRC_L
alt=DMA3SAD_L
help=sdk/dma.html
addr=$0D4
name=DMA Channel 3 Source Address (low)
mode=W
0:Source Address (low 16 bits)

reg=DMA3_SRC_H
alt=DMA3SAD_H
help=sdk/dma.html
addr=$0D6
name=DMA Channel 3 Source Address (high)
mode=W
0:Source Address (high 12 bits)

reg=DMA3_DEST_L
alt=DMA3DAD_L
help=sdk/dma.html
addr=$0D8
name=DMA Channel 3 Dest. Address (low)
mode=W
0:Destination Address (low 16 bits)

reg=DMA3_DEST_H
alt=DMA3DAD_H
help=sdk/dma.html
addr=$0DA
name=DMA Channel 3 Dest. Address (high)
mode=W
0:Destination Address (high 12 bits)

reg=DMA3_SIZE
alt=DMA3CNT_L
help=sdk/dma.html
addr=$0DC
name=DMA Channel 3 Transfer Size
mode=W
0:Transfer Length (16 bits)

reg=DMA3_CR
alt=DMA3CNT_H
help=sdk/dma.html
addr=$0DE
name=DMA Channel 3 Control Register
mode=R/W
5:Dest. Mode (2 bits)
7:Source Mode (2 bits)
9:?
10:Width (0=HW, 1=word)
11:?
12:Start time (2 bits)
14:IRQ
15:Enabled

reg=TIMER0_DATA
alt=TM0D
help=sdk/timers.html
addr=$100
name=Timer 0 Value
mode=W
0:Value (16 bits)

reg=TIMER0_CR
alt=TM0CNT
help=sdk/timers.html
addr=$102
name=Timer 0 Control Register
mode=R/W
0:Frequency (2 bits)
2:Cascade
6:IRQ
7:Enabled

reg=TIMER1_DATA
alt=TM1D
help=sdk/timers.html
addr=$104
name=Timer 1 Value
mode=W
0:Value (16 bits)

reg=TIMER1_CR
alt=TM1CNT
help=sdk/timers.html
addr=$106
name=Timer 1 Control Register
mode=R/W
0:Frequency (2 bits)
2:Cascade
6:IRQ
7:Enabled

reg=TIMER2_DATA
alt=TM2D
help=sdk/timers.html
addr=$108
name=Timer 2 Value
mode=W
0:Value (16 bits)

reg=TIMER2_CR
alt=TM2CNT
help=sdk/timers.html
addr=$10A
name=Timer 2 Control Register
mode=R/W
0:Frequency (2 bits)
2:Cascade
6:IRQ
7:Enabled

reg=TIMER3_DATA
alt=TM3D
help=sdk/timers.html
addr=$10C
name=Timer 3 Value
mode=W
0:Value (16 bits)

reg=TIMER3_CR
alt=TM3CNT
help=sdk/timers.html
addr=$10E
name=Timer 3 Control Register
mode=R/W
0:Frequency (2 bits)
2:Cascade
6:IRQ
7:Enabled

reg=SIOMULTI0
addr=$0120
help=sdk/networking.html
mode=R/W
name=Multi-player Comms Data 0
0:16 bits of data

reg=SIOMULTI1
addr=$0122
help=sdk/networking.html
mode=R/W
name=Multi-player Comms Data 1
0:16 bits of data

reg=SIOMULTI2
addr=$0124
help=sdk/networking.html
mode=R/W
name=Multi-player Comms Data 2
0:16 bits of data

reg=SIOMULTI3
addr=$0126
help=sdk/networking.html
mode=R/W
name=Multi-player Comms Data 3
0:16 bits of data

reg=SIOCNT
addr=$0128
help=sdk/networking.html
mode=R/W
name=?
0:?

reg=SIOMLT_SEND
addr=$012A
help=sdk/networking.html
mode=R/W
name=?
0:?

reg=KEYS
alt=KEYINPUT
help=sdk/joypad.html
addr=$130
name=Joypad status
mode=R/W
0:A released
1:B released
2:Select released
3:Start released
4:Right released
5:Left released
6:Up released
7:Down released
8:R shoulder released
9:L shoulder released

reg=KEYS_CR
alt=KEYCNT
help=sdk/joypad.html
addr=$0132
mode=R/W
name=Joypad Control Register
0:A
1:B
2:Select
3:Start
4:R
5:L
6:Up
7:Down
8:R shoulder
9:L shoulder
10:not used (start)
13:not used (end)
14:Interrupt Enable
15:For the keys whose interrupt bits are set: 0 any key triggers interrupt. 1 all keys pressed triggers interrupt.

reg=RCNT
help=sdk/networking.html
addr=$0134
mode=R/W
name=Communication Function Register
0:? SC (Data Bit)
1:? SD (Data Bit)
2:? SI (Data Bit)
3:? SO (Data Bit)
4:? SC (Input/Output Select)
5:? SD (Input/Output Select)
6:? SI (Input/Output Select)
7:? SO (Input/Output Select)
8:? Interrupt Enable
9:not used (start)
13:not used (end)
14:Communication Function Select
15:<cont>

reg=JOYCNT
help=sdk/networking.html
addr=$0140
mode=R/W
name=Joy Bus Communication Control
0:Device Reset Signal Recieve Flag
1:Recieve Complete Flag
2:Send Complete Flag
3:not used (start)
5:not used (end)
6:Interrupt Request enable Flag
7:not used (start)
15:not used (end)

reg=JOY_RECV_L
help=sdk/networking.html
addr=$0150
mode=R/W
name=Joy Bus Recieve Data Low
0:Low 16 bits

reg=JOY_RECV_H
help=sdk/networking.html
addr=$0152
mode=R/W
name=Joy Bus Recieve Data High
0:High 16 bits

reg=JOYTRANS_L
help=sdk/networking.html
addr=$0154
mode=R/W
name=Joy Bus Send Data Low
0:Low 16 bits

reg=JOYTRANS_H
help=sdk/networking.html
addr=$0156
mode=R/W
name=Joy BUS Send DATA High
0:High 16 bits
                                
reg=JOYSTAT
help=sdk/networking.html
addr=$0158
mode=R/W
name=Recieve Status Register
0:not used
1:Recieve Status Flag
2:not used
3:Send Status Flag

reg=IE
help=sdk/interrupts.html
addr=$200
name=Master Interrupt Enable
mode=R/W
0:V Blank IRQ enabled
1:H Blank IRQ enabled
2:Y trigger IRQ enabled
3:Timer 0 IRQ enabled
4:Timer 1 IRQ enabled
5:Timer 2 IRQ enabled
6:Timer 3 IRQ enabled
7:Comms IRQ enabled
8:DMA 0 IRQ enabled
9:DMA 1 IRQ enabled
10:DMA 2 IRQ enabled
11:DMA 3 IRQ enabled
12:Keypad IRQ enabled
13:Cart IRQ enabled

reg=IF
help=sdk/interrupts.html
addr=$202
name=Interrupt Flags
mode=R/W
0:V Blank IRQ occured
1:H Blank IRQ occured
2:Y trigger IRQ occured
3:Timer 0 IRQ occured
4:Timer 1 IRQ occured
5:Timer 2 IRQ occured
6:Timer 3 IRQ occured
7:Comms IRQ occured
8:DMA 0 IRQ occured
9:DMA 1 IRQ occured
10:DMA 2 IRQ occured
11:DMA 3 IRQ occured
12:Keypad IRQ occured
13:Cart IRQ occured

reg=WS_CR
alt=WAITCNT
help=sdk/memory.html#reg204
addr=$204
name=Wait state control
mode=R/W
0:SRAM wait mode (2 bits)
2:Bank 0 mode (3 bits)
5:Bank 1 mode (3 bits)
8:Bank 2 mode (3 bits)
11:Cartridge PHI Frequency (2 bits)
14:Prefetch
15:Cartridge Type%

reg=IME
help=sdk/interrupts.html
addr=$208
name=Interrupt Master Enable
mode=R/W
0:IRQ master enable
1:%
2:%
3:%
4:%
5:%
6:%
7:%
8:%
9:%
10:%
11:%
12:%
13:%
14:%
15:%

reg=PAUSE
addr=$0300
mode=R/W
0:unknown fixme
1:%
2:%
3:%
4:%
5:%
6:%
7:%
8:%
9:%
10:%
11:%
12:%
13:%
14:%
15:fixme
